FROM nginx:1.27-alpine

COPY apps/ui/nginx.conf /etc/nginx/conf.d/default.conf
COPY apps/ui/index.html /usr/share/nginx/html/index.html
COPY apps/ui/css /usr/share/nginx/html/css
COPY apps/ui/data /usr/share/nginx/html/data
COPY apps/ui/html /usr/share/nginx/html/html
COPY apps/ui/icons /usr/share/nginx/html/icons
COPY apps/ui/js /usr/share/nginx/html/js
COPY Crank.png /usr/share/nginx/html/Crank.png

EXPOSE 3000
